NotaryChangeLedgerTransaction
Keywords: net.corda.core.transactions.NotaryChangeLedgerTransaction class
Date: 2023-09-18

net.corda.core.transactions

## Class NotaryChangeLedgerTransaction

- net.corda.core.transactions.BaseTransaction
- - FullTransaction
  - - net.corda.core.transactions.NotaryChangeLedgerTransaction

- All Implemented Interfaces:
    NamedByHash, TransactionWithSignatures

      public class NotaryChangeLedgerTransaction
      extends FullTransaction
      implements TransactionWithSignatures

  A notary change transaction with fully resolved inputs and signatures. In contrast with a regular transaction, signatures are checked against the signers specified by input states' participants fields, so full resolution is needed for signature verification.

- - ### Field Detail

    - #### Companion

          public static net.corda.core.transactions.NotaryChangeLedgerTransaction.Companion Companion

  - ### Constructor Detail

    - #### NotaryChangeLedgerTransaction

          @Deprecated
          public NotaryChangeLedgerTransaction(@NotNull
                                                           java.util.List<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> inputs,
                                                           @NotNull
                                                           Party notary,
                                                           @NotNull
                                                           Party newNotary,
                                                           @NotNull
                                                           SecureHash id,
                                                           @NotNull
                                                           java.util.List<net.corda.core.crypto.TransactionSignature> sigs)

      Deprecated.

  - ### Method Detail

    - #### getReferences

          @NotNull
          public java.util.List<net.corda.core.contracts.StateAndRef> getReferences()

      A list of reusable reference data states which can be referred to by other contracts in this transaction.

    - #### getOutputs

          @NotNull
          public java.util.List<net.corda.core.contracts.TransactionState> getOutputs()

      We compute the outputs on demand by applying the notary field modification to the inputs.

    - #### getRequiredSigningKeys

          @NotNull
          public java.util.Set<java.security.PublicKey> getRequiredSigningKeys()

      Specifies all the public keys that require signatures for the transaction to be valid.

    - #### getKeyDescriptions

          @NotNull
          public java.util.List<java.lang.String> getKeyDescriptions(@NotNull
                                                                              java.util.Set<? extends java.security.PublicKey> keys)

      Get a human readable description of where signatures are required from, and are missing, to assist in debugging the underlying cause.

      Note that the results should not be serialised, parsed or expected to remain stable between Corda versions.

    - #### component1

          @NotNull
          public java.util.List<net.corda.core.contracts.StateAndRef> component1()

    - #### component2

          @NotNull
          public Party component2()

    - #### component3

          @NotNull
          public Party component3()

    - #### component4

          @NotNull
          public SecureHash component4()

    - #### component5

          @NotNull
          public java.util.List<net.corda.core.crypto.TransactionSignature> component5()

    - #### component6

          @Nullable
          public NetworkParameters component6()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object other)

    - #### hashCode

          public int hashCode()

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### copy

          @Deprecated
           @NotNull
          public NotaryChangeLedgerTransaction copy(@NotNull
                                                                          java.util.List<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> inputs,
                                                                          @NotNull
                                                                          Party notary,
                                                                          @NotNull
                                                                          Party newNotary,
                                                                          @NotNull
                                                                          SecureHash id,
                                                                          @NotNull
                                                                          java.util.List<net.corda.core.crypto.TransactionSignature> sigs)

      Deprecated.

    - #### getInputs

          @NotNull
          public java.util.List<net.corda.core.contracts.StateAndRef> getInputs()

      The inputs of this transaction.

      Note that in BaseTransaction subclasses the type of this list may change!

    - #### getNotary

          @NotNull
          public Party getNotary()

      If present,

      the notary for this transaction. If absent then the transaction is not notarised at all.This is intended for issuance/genesis transactions that don't consume any other states and thus can'tdouble spend anything.

    - #### getNewNotary

          @NotNull
          public Party getNewNotary()

    - #### getId

          @NotNull
          public SecureHash getId()

    - #### getSigs

          @NotNull
          public java.util.List<net.corda.core.crypto.TransactionSignature> getSigs()

      List of signatures on this transaction.

      See Also:
        `checkSignaturesAreValid`, `verifyRequiredSignatures`

    - #### getNetworkParameters

          @Nullable
          public NetworkParameters getNetworkParameters()

      Network parameters that were in force when this transaction was created.

      Resolved from the hash of network parameters on the correspondingwire transaction.